@font-face {
	font-family: 'Blackadder';
	
	src: url('Thormcroft-Hex-Regular Demo.ttf'); /* IE9 Compat Modes */
	src: url('Thormcroft-Hex-Regular Demo.ttf')  format('truetype');
	/* src: url('ITCBLKAD.TTF'); IE9 Compat Modes */
	/* src: url('ITCBLKAD.TTF')  format('truetype'); */
}
@font-face {
	font-family: 'Headstone';
	src: url('Headstone.ttf'); /* IE9 Compat Modes */
	src: url('Headstone.ttf')  format('truetype');
}

:root{
	--yellow:#f8d508;
}
*{
	position: relative;
}
body{
	background-color: rgb(7,9,9);
	margin: 0;
	font-size: 20pt;
	font-family: Blackadder;
	color:var(--yellow);
}
p {
    margin: 0.5em;
}
a{
    color: darkseagreen;
}
#main-tools{
	position: sticky;
	top: 0;
	display: flex;
	flex-direction: row;
	width: 100vw;
	z-index: 9999;
	justify-content: center;
	gap:2px;
	filter: drop-shadow(3px 0px 5px black);
	& button{
		transition: all 1s ease;
		cursor: pointer;
		width: auto;
		flex:1;
		min-width: 0;
		border-radius: 2px 2px 15px 15px;
		
		&:first-child{
			border-bottom-left-radius: 2px;
		}
		&:last-child{
			border-bottom-right-radius: 2px;
		}
	}
	&[mini-tools] button{
		font-size: 10pt !important;
	}
}

#generic_modal{
	padding: 0em;
	background-color: black;
	border-radius: 1em;
	border:2px solid var(--yellow);
	max-width: 90vw;
	margin-left:auto;
	margin-top: auto;
    color: white;
    max-height: 85vh;
	& > div:first-child{
		padding: 0.5em;
		font-family: Headstone;
	}
	&::backdrop{
		background-color: black;
		opacity: 0.7;
	}
	& .close_modal{
		padding: 4px 10px;
		position: absolute;
		top: 3px;
		right: 4px;
		border-radius: 4px 21px 10px 10px;
		font-size: 80%;
	}
	animation: modal-in-out 1.5s forwards 1;
}
@keyframes modal-in-out {
	from{opacity: 0;}
	to{opacity: 1;}
}

@property --gradient-color-2 {
  syntax: '<color>';
  inherits: false;
  initial-value: transparent;
}
input[type="checkbox"] {
	box-sizing: border-box;
	width: 20px;
	height: 20px;
	margin: 6px;
	padding: 0;
	border: 2px solid var(--yellow);
	appearance: none;
	background-color: transparent;
	outline: none;
	transition: outline 0.1s;
	vertical-align: middle;

	& + label{
		padding: 0.2em 0.5em;
		background:linear-gradient(-90deg, transparent, var(--gradient-color-2) 60%);
		/* Transition the registered custom properties */
		transition: --gradient-color-2 0.5s ease-in-out;
		display: inline-block;
		max-width: 70vw;
		vertical-align: middle;
	}
}
input[type="checkbox"]:not(:disabled):checked {
  border-color: var(--yellow);
  background-color: var(--yellow);
  & + label{
	--gradient-color-2: #f80808bd;
	border-radius: 0.5em 0 0 0.5em;
  }
}
main{
	display: flex;
	align-items: center;
	justify-content: center;
	align-content: flex-start;
	flex-direction: column;
}
.header-main-div{
display: flex; align-items: center; align-content: center;
	flex-direction: column;
}
.header-main-div img{
	max-width: 100vw;
}
.header-main-div div:has(img[src*="words"]){
	position: relative;
	margin-top: auto;
}
.header-main-div div:has(img[src*="skeleton"]){
	overflow: hidden;
	max-width: 100vw;
	max-height: 100vh;
	position: fixed;
	top:1em;
	z-index: -1;
	transition: opacity 1.5s ease;
}
.header-main-div img[src*="skeleton"]{
	width: 100vw;
	opacity: 0.6;
	animation: skele 8s ease-in-out infinite alternate;
	transform-origin: center bottom;
	position: relative;
}
div#general_info p {
	text-indent: 1.5em;
}
.pbreak{
	text-align: center;
	margin: -0.25em;
	scale: 0.7;
}
button{
	background-color: var(--yellow);
	color: black;
	font-weight: bold;
	font-size: 14pt;
	font-family: Blackadder;
	border: none;
	border-radius: 4px;
	padding: 0.2em 0.7em;
	-webkit-user-select: none; /* Safari */
	-ms-user-select: none;     /* IE 10 and IE 11 */
	user-select: none; 
}
button:active{
	color: white;
	margin:0.25em;
}
button.spooky-button{
	animation: spooky_button 2s ease-in-out infinite alternate;
}
div.input_div > label{
	display: block;
	color: var(--yellow);
	font-family: Blackadder;
}
[flex]{
	display: flex;
	flex-direction: column;
	align-items: center;
}
[flex-row]{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}
input{
	font-family: Blackadder;
	font-weight: bold;
	font-size: 18pt;
	border-radius: 1.0em 0 0 10px;
	min-height: 1.6em;
}
input+button{
	margin-left: -3px;
}
*[initially_hidden]{
	display: none !important;
}
p,div p, div span{
	max-width: 90vw;
}
@keyframes skele {
	0%{
		rotate: -7deg;
		right: 5%;
		opacity: 0.2;
	}
	33%{
		rotate: 9deg;
		right: -7%;
	}
	50%{
		opacity: 0.6;
	}
	66%{
		rotate: -5deg;
		right: 10%;
	}
	100%{
		rotate: 4deg;
		right: -5%;
		opacity: 0.2;
	}
}
@keyframes spooky_button {
	0%{
		padding: 0.3em 0.7em;
	}
	100%{
		padding: 0.6em 1.1em;
		opacity: 0.8;
	}
}
.rock_creepy{
	transform-origin: bottom center;
	animation: rock-creepy 3s alternate infinite;
	display: inline-block;
}
@keyframes rock-creepy {
	0%{rotate: 20deg;}
	100%{
		rotate: -20deg;
	}
}
